# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           vkd3d
Version:        1.3
Release:        %mkrel 1
Summary:        D3D12 to Vulkan translation library
Group:          System/Libraries
License:        LGPLv2+
URL:            https://source.winehq.org/git/vkd3d.git
Source0:        https://dl.winehq.org/vkd3d/source/%{name}-%{version}.tar.xz
Source1:        https://dl.winehq.org/vkd3d/source/%{name}-%{version}.tar.xz.sign

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-keysyms)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  spirv-headers

%description
The vkd3d project includes libraries, shaders, utilities, and demos for
translating D3D12 to Vulkan.

%package -n %{libname}
Summary:        D3D12 to Vulkan translation library
Group:          System/Libraries

%description -n %{libname}
Vkd3d is a 3D graphics library built on top of Vulkan. It has an API very
similar, but not identical, to Direct3D 12.

Vkd3d can be used by projects that target Direct3D 12 as a drop-in replacement
at build-time with some modest source modifications.

%package -n %{devname}
Summary:        Development files for vkd3d
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{devname}
Development files for applications using vkd3d.

%prep
%setup -q

%build
%configure2_5x \
    --disable-static \
    --disable-doxygen-doc \
    --with-spirv-tools \
    --with-xcb
%make_build

%install
%make_install

# Remove libtool files
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/lib%{name}-shader.so.%{major}*
%{_libdir}/lib%{name}-utils.so.%{major}*

%files -n %{devname}
%{_bindir}/%{name}-compiler
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-shader.so
%{_libdir}/lib%{name}-utils.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/pkgconfig/lib%{name}-shader.pc
%{_libdir}/pkgconfig/lib%{name}-utils.pc


%changelog
* Tue Mar 08 2022 tex - 1.3-1pclos2022
- Version 1.3
